

const require_BaseError = require('./BaseError.js');

//#region src/error/CredoError.ts
var CredoError = class extends require_BaseError.BaseError {
	/**
	* Create base CredoError.
	* @param message the error message
	* @param cause the error that caused this error to be created
	*/
	constructor(message, { cause } = {}) {
		super(message, cause);
	}
};

//#endregion
exports.CredoError = CredoError;